Skip to content

Retrieve the content file of a specified component.

GET/api/mdl/components/{component_type}.{record_name}/files
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
component_typeThe component type of the record to retrieve content file. For example, Formattedoutput.
record_nameThe name of the component record. For example, my_formatted_output__c.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/mdl/components/Formattedoutput.my_formatted_output__c/files
{ "responseStatus": "SUCCESS", "links": [ { "rel": "my_formatted_output__c.template_file", "href": "myvault.veevavault.com/api/mdl/components/Formattedoutput.my_formatted_output__c/files/4be398c32fc2ccf48adaf6ebe53782a1", "method": "GET", "accept": "application/pdf" } ], "data": [ { "name__v": "4be398c32fc2ccf48adaf6ebe53782a1", "original_name__v": "Quote.pdf", "format__v": "application/pdf", "size__v": 654122, "sha1_checksum__v": "4be398c32fc2ccf48adaf6ebe53782a1" } ] }

On SUCCESS, the response includes the following: